> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Or Update Llm Analytics Config

> Create or update LLM analytics tool integration



## OpenAPI

````yaml put /v1/analytics/llm
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/analytics/llm:
    put:
      tags:
        - LLM Analytics
      summary: Create Or Update Llm Analytics Config
      description: Create or update LLM analytics tool integration
      operationId: create_or_update_llm_analytics_config_v1_analytics_llm_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LLMAnalyticsIntegrationRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LLMAnalyticsSuccessResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    LLMAnalyticsIntegrationRequest:
      properties:
        project_id:
          anyOf:
            - type: string
              maxLength: 100
            - type: 'null'
          title: Project Id
          description: Project ID, defaults to 'default'
          default: default
        tool_identifier:
          type: string
          title: Tool Identifier
          description: Identifier for the analytics tool
        api_key:
          type: string
          minLength: 10
          title: Api Key
          description: API Key for the tool
        host_uri:
          type: string
          title: Host Uri
          description: Host URI for the analytics tool
        host_health_uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Host Health Uri
          description: Health check URI
        mask_pii:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Mask Pii
          description: Flag to mask PII
          default: false
        config_json:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Config Json
          description: Additional configuration
      additionalProperties: false
      type: object
      required:
        - tool_identifier
        - api_key
        - host_uri
      title: LLMAnalyticsIntegrationRequest
    LLMAnalyticsSuccessResponse:
      properties:
        status:
          type: string
          title: Status
          default: Transaction completed successfully
      type: object
      title: LLMAnalyticsSuccessResponse
      description: Standard success response for PUT and DELETE operations
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````